Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/hplip: upgrade to 3.16.11, enable scanning support (#6520)

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Tue, 13 Dec 2016 12:37:59 +0200

--
build fixups
add sane-backend-hpaio subpackage
udev-related data moved to -udev subpackage
---
 testing/hplip/APKBUILD | 54 +++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 40 insertions(+), 14 deletions(-)
diff --git a/testing/hplip/APKBUILD b/testing/hplip/APKBUILD
index fd18dd4c5f..511a2f0290 100644
--- a/testing/hplip/APKBUILD
+++ b/testing/hplip/APKBUILD
_at_@ -1,27 +1,30 @@
 # Maintainer:
 # Contributor: Bartłomiej Piotrowski <bpiotrowski_at_alpinelinux.org>
 # Contributor: Timo Teräs <timo.teras_at_iki.fi>
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
 
 pkgname=hplip
-pkgver=3.16.10
+pkgver=3.16.11
 pkgrel=0
 pkgdesc="Drivers for HP printers"
 arch=all
 url="http://hplipopensource.com"
 license="GPL"
-depends="python py-dbus"
-makedepends="libjpeg-turbo-dev net-snmp-dev cups-dev libusb-dev python-dev"
-subpackages="$pkgname-doc"
+depends="python"
+makedepends="libjpeg-turbo-dev net-snmp-dev cups-dev libusb-dev python-dev sane-dev"
+subpackages="$pkgname-doc $pkgname-udev::noarch sane-backend-hpaio:sane"
 source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
 	fix-includes.patch
-        disable_upgrade.patch"
+	disable_upgrade.patch"
+builddir="$srcdir"/$pkgname-$pkgver
 
-builddir="$srcdir/$pkgname-$pkgver"
 build() {
 	cd "$builddir"
 	./configure --prefix=/usr \
-		--disable-qt4 \
-		--disable-scan-build \
+		--sysconfdir=/etc/$pkgname \
+		--with-docdir=/usr/share/doc/$pkgname \
+		--with-htmldir=/usr/share/doc/$pkgname \
+		--disable-gui-build \
 		--disable-fax-build \
 		--disable-dbus-build \
 		--enable-cups-ppd-install \
_at_@ -32,17 +35,40 @@ build() {
 }
 
 package() {
-	make -j1 -C "$builddir" DESTDIR="$pkgdir" install || return 1
-	cd "$pkgdir"
-	rm -rf etc/sane.d etc/xdg usr/share/hal etc/init.d etc/udev
+	cd "$builddir"
+	make -j1 DESTDIR="$pkgdir" install || return 1
+	rm -fr "$pkgdir"/etc/sane.d \
+		"$pkgdir"/usr/share/hal \
+		"$pkgdir"/usr/lib/systemd
+}
+
+udev() {
+	pkgdesc="HPLIP udev rules"
+	install_if="$pkgname=$pkgver-r$pkgrel udev"
+	mkdir -p "$subpkgdir"/etc \
+		"$subpkgdir"/usr/bin \
+		"$subpkgdir"/usr/share/$pkgname
+	mv "$pkgdir"/etc/udev "$subpkgdir"/etc
+	mv "$pkgdir"/usr/bin/hp-config_usb_printer "$subpkgdir"/usr/bin
+	mv "$pkgdir"/usr/share/$pkgname/config_usb_printer.py \
+		"$subpkgdir"/usr/share/$pkgname
+}
+
+sane() {
+	depents="sane"
+	pkgdesc="SANE backend for HP multi-function peripherals"
+	mkdir -p "$subpkgdir"/usr/lib \
+		"$subpkgdir"/etc/sane.d/dll.d
+	mv "$pkgdir"/usr/lib/sane "$subpkgdir"/usr/lib
+	echo "hpaio" > "$subpkgdir"/etc/sane.d/dll.d/hpaio
 }
 
-md5sums="dd3bf0ecd410e6961abd86407b7f802f  hplip-3.16.10.tar.gz
+md5sums="7d187c3142ba323a3021767d333ad9f4  hplip-3.16.11.tar.gz
 a9cd9a64bc4e1ba14ef221efdcb0d940  fix-includes.patch
 65bddd5951bd2d12a26bbf7b51bcab27  disable_upgrade.patch"
-sha256sums="45b44e0334f76069511b0b2a40885a12d055013bc95a62250de5d1abc10dee84  hplip-3.16.10.tar.gz
+sha256sums="f6e20cacb4891e4e60fc5de2213a10f8d0c68840f9b511aa38cfca0cb29f9b24  hplip-3.16.11.tar.gz
 9a1d8b509d7bcacb03895529e3c6c83704ea784444bf0deae75ac59feb9e32b2  fix-includes.patch
 b3f8d91a07216e6aad4dbfdb79ae19496b03c29f56444059b9b93a32c86ceb8e  disable_upgrade.patch"
-sha512sums="2aa8cdd7ec0aa042f4c159f4db6bf80e0cc4ffd30f060814d44fcce2f2800dc0195c26ccc6f8d10dc9c62b3fcbc0befcf68f3ad6a5a81f63ab6a26a25686bbad  hplip-3.16.10.tar.gz
+sha512sums="c59d50adbcc930543b828a81f055653e140987ac9d0b5232cfe6f657078565a3f2a0c96fc13f0dbb575916d59ca76a3447da7cf023bafef900375d4e53d9e180  hplip-3.16.11.tar.gz
 173f0c2bbf0daefc717282bf125d3fd94b3914da0754078c45b58b09ab841672aae9238ca8fc0448486a871e40fc50f960da17c1e07ad3f04053d217ed634498  fix-includes.patch
 57e14c581e82a0dd44344524dc4eb4d845843cf0775b60475541cabfb9d67a4fdab501be3977f8ca9888fbbee4d0392e6068c788e7a85cf4c1add5848be21ae7  disable_upgrade.patch"
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Dec 13 2016 - 12:37:59 GMT